com.r3corda.node.api / TransactionBuildStep

# TransactionBuildStep

`data class TransactionBuildStep`

Encapsulate a generateXXX method call on a contract.

### Constructors

<init> | `TransactionBuildStep(generateMethodName: String, args: Map<String, Any?>)` Encapsulate a generateXXX method call on a contract.

### Properties

args | `val args: Map<String, Any?>`
generateMethodName | `val generateMethodName: String`